# IRsConnectionList Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | CreateConnection ([in] IRsConnector *pSource,[in] IRsConnector *pRemote)
HRESULT | EnumConnection ([out] IRsEnumConnection **ppEnum)
HRESULT | DeleteConnections (void)
HRESULT | RestoreConnections (void)
HRESULT | RestoreConnectionsForExistingCons ([in] IRsNode *pFocusNode)
HRESULT | NumConnections ([out] RtUlong *pcNumCon)
HRESULT | Attach ([in] IRsConnectionList *pList)
HRESULT | SetLocalSpace ([in] IRsNode *pLocalNode)
HRESULT | ConvertToLocalRef (void)

## Detailed Description

List of connections existing between two connectors.

## Member Function Documentation

HRESULT IRsConnectionList::CreateConnection | ( | [in] IRsConnector * | pSource,
|  | [in] IRsConnector * | pRemote |
| ) |  |  |

Creates and initializes connection object based on two connectors.

Parameters:

  | pSource | [in] .
  | pRemote | [in] .

HRESULT IRsConnectionList::EnumConnection | ( | [out] IRsEnumConnection ** | ppEnum | ) |

Parameters:

  | ppEnum | [out] Enumerates connection objects.

HRESULT IRsConnectionList::DeleteConnections | ( | void |  | ) |

Disconnect links defined by connection objects stored in this connection list.

HRESULT IRsConnectionList::RestoreConnections | ( | void |  | ) |

Restores (connects) links defined by connection objects stored in this connection list.

HRESULT IRsConnectionList::RestoreConnectionsForExistingCons | ( | [in] IRsNode * | pFocusNode | ) |

Parameters:

  | pFocusNode | [in] Same like RestoreConnections but filter out non-existing connectors (do not create them automatically).

HRESULT IRsConnectionList::NumConnections | ( | [out] RtUlong * | pcNumCon | ) |

Parameters:

  | pcNumCon | [out] Returns number of connection objects in list.

HRESULT IRsConnectionList::Attach | ( | [in] IRsConnectionList * | pList | ) |

Parameters:

  | pList | [in] Attaches other connection list.

HRESULT IRsConnectionList::SetLocalSpace | ( | [in] IRsNode * | pLocalNode | ) |

Parameters:

  | pLocalNode | [in] Set local space identification, based on which connection objects are restored.

HRESULT IRsConnectionList::ConvertToLocalRef | ( | void |  | ) |

Convert info to local space.